function [Kiso] = KModuliso(Kf,K0,betamod,theta,Ku)

if Kf==0 && theta~=0
    Kiso = betamod/theta^-1;
elseif theta==0
    Kiso = 0;
else
    Kiso = ((1/Kf-1/K0)*betamod)/(1+theta^-1*(1/Kf-1/Ku));
end

if isnan(Kiso) || isinf(Kiso)
    disp('K_ISO IS NAN OR INF -> SETTING TO ZERO!')
    Kiso = 0;
end